function robot = CreateRobot(name,mass,momentOfInertia,radius,wheelRadius,...
                             rayBasedSensorArray,motorArray,odometer,compass,brain)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  Equations of motion:
%%
%%  Mvdot + alpha v = A(tL + tR)
%%  IPhidotdot + beta Phidot = B(-tL + tR);
%%  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Approximate calculation of A and B, assuming M_wheel = 0
A = 1/wheelRadius;  
B = radius/wheelRadius;

alpha       = 15.0000;
beta         = 0.7800;
position    = [0.0000 0.0000];
heading      = 0.0000;
velocity    = [0.0000 0.0000];
speed        = 0.0000;
angularSpeed = 0.0000;
  
robot = struct('Name',name,...
               'Mass',mass,...
               'MomentOfInertia',momentOfInertia,...
               'A',A,...
               'B',B,...
               'Alpha',alpha,'Beta',beta,...
               'Radius',radius,...
               'WheelRadius',wheelRadius,...
               'Position',position,...
               'Heading',heading,...
               'Velocity',velocity,...
               'Speed',speed,...
               'AngularSpeed',angularSpeed,...
               'OldPosition',position,...
               'OldHeading',heading,...
               'RayBasedSensors',rayBasedSensorArray,...
               'Motors',motorArray,...
               'Brain',brain,...
               'Odometer',odometer,...
               'Compass',compass,...
               'ShowSensorRays',false,...
               'ShowOdometricGhost', false);

robot.Sensors = UpdateSensorPositions(robot);

